Retrieve Token Holders

Returns the token distribution of a given token contract on the Monad, including the addresses, amounts, and their percentage of the total supply.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported on Monad Mainnet and Testnet.

🚧

The Monad Mainnet Indexing API is available to Pro tier users. The Monad Testnet Indexing API is accessible to Pro, Basic, and Lite tiers. Free tier members can also enjoy a trial period with 30 free calls. The same request URL is used for both mainnet and testnet. Network selection is handled automatically through the API key.

If you're interested, please register directly through here. Please note that the API Key can also be used for your RPC endpoint.

Parameter

  • contractAddress, string - a 42 character address with '0x' as prefix. The token contract address to check for holders.
  • cursor, string - next page cursor.
  • limit, int32 - the maximum number of results to return per page. Defaults to 20, maximum is 50.

Response

  • code, number - response status code, e.g., 0 for success.
  • reason, string - reason message if there's an error.
  • message, string - response message, e.g., OK.
  • result, object - result object containing token holder data.
    • data, array object - an array of token holder objects.
      • holder, string - the wallet address of the token holder.
      • percentage, string - the percentage of the total supply held by this holder.
      • usdValue, string - the USD value of the holder's tokens (if available).
      • amount, string - the amount of tokens owned by the holder.
      • isContract, boolean - whether the holder address is a contract.
    • nextPageCursor, string - the cursor for fetching the next page of results, if the last page has been reached, nextPageCursor will be an empty string ("").
Query Params
string
required
Defaults to 0x3bd359C1119dA7Da1D913D1C4D2B7c461115433A
string
string
Defaults to 20

default 20, max 50

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json